Subject: Re: bug#16941: [PATCH] tests/mb-non-UTF8-performance: increase timeout

From: Jim Meyering <[email-masked]>
Date: Wed, 26 Mar 2014 09:27:14 -0700

On Wed, Mar 26, 2014 at 7:21 AM, Andreas Schwab <[email-masked]> wrote:
> Jim Meyering <[email-masked]> writes:
>
>> Thanks again for the patch, but if I were to use it, the timeout
>> would be so long that the test would mistakenly pass
>> (the timeout would not trigger) even if the bug were reintroduced.
>> Instead, I've rewritten the test to make it less sensitive to the
>> actual hardware used to run it.  Please let me know if this works
>> for you:
>
> FAIL: mb-non-UTF8-performance
> =============================
>
> hi_res_time_ is a function
> hi_res_time_ ()
> {
>     date +%s.%N
> }

Hi Andreas,
Thank you for the report.
I presume you have found a way to make that test fail.
Would you please attach the tests/test-suite.log file that
was created from a failing "make check" run?

Also, did your test include this change?

    tests: avoid false-positive failure on some AMD CPUs
    * tests/mb-non-UTF8-performance: Avoid false-positive failure
    when run on certain AMD processors.